classification
Title: Clean up importlib for Python 3.4
Type: enhancement Stage: resolved
Components: Versions: Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: brett.cannon Nosy List: Arfrever, asvetlov, brett.cannon, eric.snow, lyapun, ncoghlan, python-dev
Priority: low Keywords: patch

Created on 2012-08-13 20:00 by brett.cannon, last changed 2012-11-05 07:35 by asvetlov. This issue is now closed.

Files
File name Uploaded Description Edit
issue15641.diff lyapun, 2012-11-03 13:15 review
Messages (7)
msg168140 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2012-08-13 20:00
importlib.abc.PyLoader and importlib.abc.PyPycLoader were both deprecated in 3.2 and slated for removal in Python 3.4. There is also some os2 stuff in importlib._bootstrap which can go as PEP 11 has os2 support slated for removal in Python 3.4.
msg172179 - (view) Author: Andrew Svetlov (asvetlov) * (Python committer) Date: 2012-10-06 11:03
What's about Finder?
Do you want to remove it also?
msg172478 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2012-10-09 13:08
Finder is only documented as deprecated; actually making it work with a reasonable warning is too much of a pain for such little gain. So it can just stay in as there is no maintenance burden.
msg174614 - (view) Author: Taras Lyapun (lyapun) * Date: 2012-11-03 13:15
Deleted code, docs, tests, and tests related stuff (like mocks). Test passes.
msg174648 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2012-11-03 16:33
Thanks for the patch, Taras! It looks good and I will apply it when I have time (or some other core dev beats me to it).
msg174872 - (view) Author: Roundup Robot (python-dev) Date: 2012-11-05 07:34
New changeset 48228fb874c1 by Andrew Svetlov in branch 'default':
Issue #15641: Clean up deprecated classes from importlib
http://hg.python.org/cpython/rev/48228fb874c1
msg174873 - (view) Author: Andrew Svetlov (asvetlov) * (Python committer) Date: 2012-11-05 07:35
Thanks, Taras.
History
Date User Action Args
2012-11-05 07:35:37asvetlovsetstatus: open -> closed
type: enhancement
messages: + msg174873

resolution: fixed
stage: commit review -> resolved
2012-11-05 07:34:56python-devsetnosy: + python-dev
messages: + msg174872
2012-11-03 16:33:46brett.cannonsetmessages: + msg174648
stage: needs patch -> commit review
2012-11-03 13:15:10lyapunsetfiles: + issue15641.diff

nosy: + lyapun
messages: + msg174614

keywords: + patch
2012-10-09 13:08:02brett.cannonsetmessages: + msg172478
2012-10-06 11:03:09asvetlovsetmessages: + msg172179
2012-08-18 13:38:40Arfreversetnosy: + Arfrever
2012-08-17 16:34:00asvetlovsetnosy: + asvetlov
2012-08-13 20:00:35brett.cannoncreate